import json
from messages import redis_connect_fail
import redis

BASE = "entity:"
REDIS_PORT = 6379
REDIS_DB = 0

def connect_redis(conn_string, ping=False):
    try:
        conn = redis.StrictRedis(host=conn_string, port=REDIS_PORT, db=REDIS_DB)
        conn.get(None)
    except Exception, e:
        return redis_connect_fail(conn_string)
    return conn if not ping else None

def update_redis(conn_string, uuid, is_premium=False, deactivate=False):
    redis_hash = BASE + uuid

    conn = connect_redis(conn_string)
    conn.hset(redis_hash, "is_claimed", "true")
    if is_premium:
        conn.hset(redis_hash, "is_premium", "false" if deactivate else "true")