from setuptools import setup

setup(
    name = 'nichecommon',
    packages = ['nichecommon'],
    version = '3.1.1',  # Ideally should be same as your GitHub release tag version
    description = 'Shared functionality used in Python tools at Niche.com.',
    author = 'Michael Scotto',
    author_email = 'scotto@niche.com',
    license='MIT',
    url = 'https://github.com/nicheinc/niche-py-common',
    download_url = 'https://github.com/nicheinc/niche-py-common/archive/v3.1.1.tar.gz',
    keywords = ['niche internaltools'],
    classifiers = ['Development Status :: 5 - Production/Stable', 'Programming Language :: Python :: 2.7'],
    install_requires = ['psycopg2','redis','slackclient'],
    python_requires = '==2.7.*'
)